#pragma once

#include "GuiWidget.h"

namespace blitz {

class Client;

namespace gui {

class BlitzGui : public GuiWidget {
  private:
	enum SubMenu { Main = 0 };

  public:
	BlitzGui(Client* client);

	virtual void Render() override;

  private:
	void SetCustomTheme();
};

}  // namespace gui
}  // namespace blitz
